#include <unistd.h>
#include <sys/types.h>
#include <sys/wait.h>
#include <stdio.h>

int main() {
    pid_t pid = fork();

    execl("./ostree-coredata-copy", "other_program", (char *)NULL);
    // 如果execl返回，说明出错了
    perror("execl failed");
    return 0;
   
}
// #include <stdio.h>
// #include <syslog.h>
// #include <dbus/dbus.h>

// // 获取模式
// void send_a_method_call(DBusConnection *connection, char **argv) {
//     // 模拟发送方法调用
// }

// int main(int argc, char **argv) {
//     // 获取模式
//     DBusConnection *connection;
//     DBusError error;
//     dbus_error_init(&error);
//     // Connect to session bus
//     connection = dbus_bus_get(DBUS_BUS_SYSTEM, &error);
//     if (dbus_error_is_set(&error))
//     {
//         syslog(LOG_ERR, "Connection Error (%s)", error.message);
//         dbus_error_free(&error);
//         return 1;
//     }
//     send_a_method_call(connection, NULL);

//     return 0;
// }
